LINUX.ORG.RU

12
Всего сообщений: 99

libfreetype6-dev:i386 в debian jessie/stretch требует удалить libfreetype6-dev

Устанавливаю libfreetype6-dev:i386 для компиляции wine, получаю

# apt-get install libfreetype6-dev:i386
...
The following extra packages will be installed:
  libpng12-dev:i386 zlib1g-dev:i386
The following packages will be REMOVED:
  libcairo2-dev libfontconfig1-dev libfreetype6-dev libgtk2.0-dev libpango1.0-dev libxft-dev

# dpkg --print-architecture
amd64
# dpkg --print-foreign-architectures
i386

Есть этот баг https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=666761 , но я мало чего там понял. Как в multiarch решают проблему разных .h, .pc? Для библиотек .so/.a есть разные директории, а для этого?

Вот, например, diff libfreetype6-dev для amd64 и i386:

$ ./x/usr/bin/freetype-config --libs
-L/usr/lib/x86_64-linux-gnu -lfreetype
$ ./y/usr/bin/freetype-config --libs
-L/usr/lib/i386-linux-gnu -lfreetype

$ diff -r x y                          
diff -r x/usr/bin/freetype-config y/usr/bin/freetype-config
19c19
< libdir="/usr/lib/x86_64-linux-gnu"
---
> libdir="/usr/lib/i386-linux-gnu"
diff -r x/usr/include/freetype2/freetype/config/ftconfig.h y/usr/include/freetype2/freetype/config/ftconfig.h
83c83
< #define SIZEOF_LONG 8
---
> #define SIZEOF_LONG 4
Only in y/usr/lib: i386-linux-gnu
Only in x/usr/lib: x86_64-linux-gnu

 , , ,

panzerito ()

Прибираем за Skype в Debian

Нужен был для единичного звонка Skype, потом я его удалил. Вопрос в следующем -Как откатить действие этой команды?

 sudo dpkg --add-architecture i386 

 , ,

Deleted ()

Приведите примеры конкретных проблем с запуском 32-битных приложений на 64-битном Linux

Вот все тут говорят, что на Linux amd64 бывают проблемы с запуском некоторых приложений. Хотел спросить, каких именно? И на каком дистрибутиве? Самому интересно стало.

 , ,

te111011010 ()

Обход блокировок при переходе на ~amd64 в calculate linux

Привет всем и с новым годом! Я относительно новый в calculate и gentoo. Решил попробовать посидеть на тестируемой ветке. В /etc/portage/make.conf/custom добавил ACCEPT_KEYWORDS="~amd64", а что делать дальше - не знаю. Попытка обновиться с помощью emerge -uDN world или cl-update приводит к выводу сообщения, что некоторые пакеты блокированы и за подробной информацией отсылают к https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages. Но содержание этой страницы для меня никак не вносит ясности. Прошу помочь осилить.

 , , , ,

heaven__12 ()

Разъясните про ревизию процессоров

Всем здрасте. Имеется материнка GIGABYTE GA-M61P-S3. Сокет am2, но имеется поддержка некоторых процессоров для сокета am2+ и am3. Собираюсь покупать себе на замену старенькому amd x2 5200+, AMD Athlon II X2 250. Тут и есть загвоздка вот тут есть таблица совместимости моей материнки и процессоров. Там написано что совместимы только процессоры ревизии C2, т.к контроллер памяти работает только с ddr2, ну или как то так. Короче говоря на авито я наткнулся на объявление где был скрин программы cpu-z с тем процессором который я хочу купить и там было указано что ревизия C2. Загвоздка в том что по номеру модели видно что это ревизия C3. Как быть? Ревизию я определял по номеру модели так: |ADX2450CK23GQ - C2| |ADX2450CK23GM - С3| Возможно я не правильно ревизию определяю. ЛОРовцы, как быть то? Человек у которого я собираюсь данный процессор купить 3 день уже со мной договаривается о покупке. Сегодня выяснилось что это ревизия C3, так как на конце буквы GM. Он проверит работает ли процессор с оперативной памятью DDR2. Если он работает с DDR2, то каковы шансы что моя материнка заведется с этим процессором?

 , , ,

karton1 ()

Лучший дистр для ноутбука с amd64

Вопрос может быть и распространенный, и гугл знает немало ответов. Но всё же, на сегодняшний день какой лучше дистр для ноутбука с Α6 и Radeon HD7550. Есть ли дистрибутив, где нормально бы просматривалось видео, работала Google Earth адекватно и т.п. Или вообще не подружить Linux с такой графикой.

P.S.

Лет 7 пользовался Debian на десктопе. Где-то 1,5 года назад купил этот ноут, где тот же дебиан задолбал, полгода назад перешел на гнушный Trisquel.

 , ,

Geekmalve ()

Почему не стоит писать «х64» для обозначения «x86_64»?

Спорю в Интернете с человеком, который утверждает, что корректнее писать и говорить именно «x64». Аргумент, что всё это маркетинговый буллшит, придуманный майкрософтом и ораклом, не действует.

Есть какие-нибудь статьи (желательно на английском), где перечислены причины, почему этот термин употреблять не следует?

Какие ещё слова (типа «папочка» в значении «каталог») позволяют детектировать «IT-быдло»?

 , , ,

CYB3R ()

Как установить разрешение экрана?

Привет всем. Помогите, пожалуйста с установкой драйвера видеокарты на Debian 8.1. Дело в том, что со стандартным драйвером невозможно настроить разрешение выше 800x600, а надо 1366x768. В Windows решалось установкой драйвера от AMD. Но последние версии проприетарных драйверов отключают подсветку дисплея, что в Windows, что в Linux (перепробовал Ubuntu и Mint и Debian). В Ubuntu и Mint сразу было нужное разрешение и «свободный» драйвер. Что подскажите? Переходить с Debian обратно на Mint не очень хочется, может как-то можно настроить разрешение в Debian не устанавливая проприетарный драйвер? Видеокарта Radeon HD6370M.

 , , , ,

YetAnotherUser ()

Debian stretch - пакеты под i386 в версии под amd64

Вопрос пустяковый.

При обновлении через apt-get выскочил конфликт пакетов в стиле «невозможно установить gcc-5-base версии Х, потому что у вас уже есть пакет gcc-5-base версии Х-1». Конфликт разрулил, но остался вопрос: а комплектуется ли по умолчанию система под amd64 пакетами под i386? Спрашиваю к тому, чтобы просто их удалить, т. к., наверное, притянул в качестве зависимостей, когда пытался подключить принтер. «Наверное» - потому что ставил не через Synaptic и в истории эта деятельность не сохранилась.

Пакеты под i386, которые имеются сейчас:

gcc-5-base:i386

libc6-i686:i386

libc6:i386

libcomerr2:i386

libgcc1:i386

zlib1g:i386

 , ,

Agasfer ()

PAE для 64-битной системы?

ЛОР, у меня гипотетический вопрос, из любопытства.

https://2ch.hk/b/src/93235512/14319328500100.jpg

Планка памяти на 128гб, а в современных материнских платах можно встретить до 8ми слотов под память, итого 8 * 128 == 1 террабайт памяти. фап-фап-фап...

Но ведь 64-битные системы столько не поддерживают?

И сами процессоры, материнские платы, — в них часто можно встретить ограничения до 128гб поддерживаемой памяти, о чём пишут в спецификациях.

ЛОР, а возможно ли вообще установить в систему 1 террабайт памяти и более? Каким образом это сделать? Какое железо для этого нужно собрать?

А что если целый SSD отдать под SWAP? Пропускная способность SATA-3 на материнских платах составляет 6 гбит/сек, говоря человеческим языком это 500-550 мбайт/секунду, пол гига короч.

Пропускная способность DDR2 на частоте 800MHz составляла как раз 3,2 тире 6,4гбит (в зависимости от кол-ва каналов).

Что же это получается? Используя современные SSD-накопитель как SWAP мы всего лишь откатываемся на уровень DDR2 памяти? Проблема только в отказоустойчивости?

А ещё есть более быстрые PCI-E SSD накопители, те вообще... Огонь! Правда и стоят конских денег.

Любопытно короче, каким образом можно воткнуть в систему 1 террабайт памяти?

Перемещено JB из general

 ,

Spoofing ()

Как установить 32 бита библиотеку в 64

Привет, снова с нубскими вопросами. Для игрули нужна либа - 32 бита, при установке выдает вот это http://pastebin.ru/aUi3DscI

Нагуглил всякие ia32-libs, но у меня нет в репе=(

 , , ,

ChuCha ()

Можно ли добавить в 64-бит ориентированный дистрибутив приложения 32-бит?

Здравствуйте. Вопрос в следующем. Есть такой дистрибутив KaOS. Основан на Arch-Manjaro (pacman вообщем). У автора, идея создания чистого дистрибутива с набором только лучших приложений и только 64-битных. С виду идея неплохая, но проблема в том что я пользуюсь STEAM, где несколько десятков файлов 32-битных. Возможно ли, как то добавить, в обход основных репозиториев дистрибутива, пакеты или лучше репозиторий но как неосновной (только для отдельных пакетов)?

P.S. Я участвую в переводе KaOS на русский а поставить себе на долго не могу, стим очень нужен :)

 , ,

Fox909 ()

Установка steam и зависимостей

Пытаюсь на x86_64 поставить steam и вот чем оно меня радует http://paste.ubuntu.com/10843066/

Пытаюсь установить отдельно какую-то зависимость и примерно то же самое всплывает.

Как исправить это непотребство?

 , ,

NoobeR ()

OpenWRT - сборка для AMD64

Всем здравсвтуйте! :)

Досталась мне недавно мамка старая о двух камнях (пишу не из дома, могу соврать про модель) Intel SE7230RP2, процы Xeon 2.80 S604. Было докинуто памяти 4Гб, SCSI RAID LSI 320 (у него вообще фиг пойми как модель найти) +2 Atheros WiFi ну и кузов с БП (не серверные, но в сборе всё пашет). Соответственно хочу из сего прЭдмЭта соорудить роутер на сабжной системе. Засада в том, что при сборке образа для AMD64 он или не собирается (когда делаю настройки в make menuconfig) или получается незагружабельным (это если использовать make defconfig). Образ получается типа combined-ext4.img.gz. При закатывании его на винт (дял опыта подключал на сей сундук SATA-диск) начинается загрузка, и потом происходит остановка при ожидании ROOTFS. Судя по всяему, в дефолтовом образе нет модулей для дисковых и RAID-контроллеров (да и похоже с сетевухами там не лучше). Сборку несколько раз производил по инструкции (http://www.3dnews.ru/631485) и прочим подобным, гуглится. В результате попыток сборки кастомного образа - вылет по ошибке (примерно через час работы), что-то связанное с uclibc. Если кто точно знает, как собирать такую вещь - посоветуйте, где затык? Помогите плз разобраться :).

 , ,

dv76 ()

aptitude не может решить

Решил я, начитавшись отзывов об убунте 14.04.2, поставить себе её. Ставил с netinst, но manual package selection использовать не удалось, потому что aptitude не может решить зависимости - конфликтуют пакеты архитектуры i386 и amd64, так что выбрал пока вариант lubuntu, но после установки системы та же проблема сохранилась. Apt-get работает нормально.

 , ,

kinik ()

Как собрать warzone 2100 для amd64 ?

./configure --prefix=/opt/warzone_2100_3.1.2

Затем при make install

/usr/bin/ld: i386 architecture of input file `../lib/ivis_opengl/libivis_opengl.a(jpeg_encoder.o)' is incompatible with i386:x86-64 output
collect2: error: ld returned 1 exit status
make[2]: *** [warzone2100] Ошибка 1
make[2]: Leaving directory `/home/stas/bin/warzone2100/warzone2100-3.1.2/src'
make[1]: *** [install] Ошибка 2
make[1]: Leaving directory `/home/stas/bin/warzone2100/warzone2100-3.1.2/src'
make: *** [install-recursive] Ошибка 1

Не компилируется. Вроде поставил все библиотеки которые требовались. А зачем то требует i386, ничего не понимаю.

 , , , ,

rezedent12 ()

Убунту Сервер 12.04 LTS (amd64) - ia32libs, сервер и i386

В общем, ставлю сервер с LAMP+phpmyadmin+java.
Т.к. это amd64, то нужен пакет с i386-либами - ia32libs, который я установил.

Сервер настроил, запустил shell. Все отличненько крутится, но:
1) Рядом была тестовая машина с 2 гигами рамы и i386, там все это дело кушало 1.5 ГБ в запущенном виде, а на моей моей серверной машине 8 ГБ уже сервер в запущенном виде (грешу на либы i386 и увеличенный размер пакетов amd64) уже 5100 хавает о_О. Почему это так как оно сейчас есть?
2) Правильно ли я сделал что поставил amd64 под сервер? У меня и проц шустрее работать будет, поддержка на 1 процесс больше 3 гб будет... но чего ж он столько рамы то кушает!! успокойте меня: это он по началу аппетит такой имеет, когда нагрузка выше с сервера будет, потребуется больше памяти, то он успокоит свой аппетит?

UPD. Тестовая машина у меня рядом стоит, а за серверной я работаю по SSH. Сомневаюсь, что из-за SSH так сильно растёт используемая память... Или всё же оно?

P.S. Заранее, спасибо за ответы!

 , ,

TheBear ()

Правильно ли поступила AMD?

Вот интел они умнее, да. Собственно и остались бы сейчас 64бита только в серверном сегменте, сайтостроители бы плакали, кололись и пытались ужать всё в ограничение по памяти. Браузеры бы не тормозили, осёл бы умер. Линукс бы окончательно бы победил винду, ибо проблем с 64бит совместимостью юзеров бы не было. АНдроид бы летал. эппл бы не выпендрился с созданием нового процессора, ДЖОБС БЫ НЕ УМЕР.

 , ,

darkenshvein ()

amd64 deb приложение на i386.

Debian 7.7.0 (минималистичная (через «expert install» с пропуском пункта «утановка по»))

Ядро: 3.2.0-4-686-pae

Процессор: AMD Athlon II X3

Единственный найденый мною пакет Bitwig Studio имеет архитектуру amd64. Других пакетов в интернете не нашел. На офф сайте Debian прочитал, что с этим может помочь (по крайней мере я так понял) пакет «amd64-libs», но в репозиториях есть версия только под Squeeze. Как быть?

 , ,

koca ()

Как переключить на проприетарный драйвер?

в /etc/X11/xorg.conf отображается следующее:

[img]http://i9.pixs.ru/thumbs/5/6/6/Snimokekra_6966479_14839566.jpg[/img]

в подробностях о системе:

[img]http://i9.pixs.ru/thumbs/5/8/2/Snimokekra_6479504_14839582.jpg[/img]

glxinfo | grep OpenGL , выхлоп:

[img]http://i9.pixs.ru/thumbs/6/7/2/Snimokekra_3974762_14839672.jpg[/img]

то что в подробностях системы, это легально?или так не должно быть, при установленных проприетарных

 , , ,

danya_stdfx ()